## syslog-ng 3.3.5

=== debian/changelog ===
syslog-ng (3.3.5-4) testing-proposed-updates; urgency=low

  [ Dominic Hargreaves <dom@earth.li> ]
  * Remove previous symlink conffiles.

  [ Laszlo Boszormenyi (GCS) ]
  * Fix remaining systemd configuration issues.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 20 Mar 2013 18:15:49 +0100

syslog-ng (3.3.5-3) testing-proposed-updates; urgency=low

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Don't mark systemd symlinks in /etc as conffiles.
  * Instead of installing systemd service file symlinks, install a
    conffile, that includes the real service file (closes: #690067).
  * Do not forcibly remove the systemd service files, that code is not
    needed anymore.
  * Use the standard /var/log/mail.{info,err,warn} location for the various
    mail-related logs (closes: #692056).
  * Use /dev/ttyva on kFreeBSD as the target of the d_console_all
    destination (closes: #697042).

  [ Laszlo Boszormenyi (GCS) ]
  * Fix ivykis fallback on eventfd2 errors with the addition of
    ivykis_fallback_fix.patch (closes: #702131).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 03 Mar 2013 17:57:00 +0100

syslog-ng (3.3.5-2) unstable; urgency=low

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Fix FTBFS on non-Linux architectures (closes: #672457).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 13 May 2012 00:42:42 +0200

syslog-ng (3.3.5-1) unstable; urgency=low

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * New upstream release.
    + afsocket: handle DNS failures as if it was a connection failure
      (Closes: #660897)
  * All patches dropped, they're applied upstream.
  * Include upstream man pages, as they're DFSG-free now.
  * Update debian/copyright for 1.0 of the spec.
  * Bump Standards-Version to 3.9.3 (no changes required)
  * Fix squeeze->wheezy install-remove-install upgrade path.
    (Closes: #665905)
  * Fix the init script to create /dev/xconsole properly on GNU/kFreeBSD.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 03 May 2012 08:23:46 +0000
