=== debian/control ===
Source: syslog-ng
Section: admin
Priority: extra
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 9), dh-autoreconf, libnet1-dev, libevtlog-dev (>= 0.2.12-5~), libssl-dev, libmongo-client-dev, libjson0-dev, libwrap0-dev, libglib2.0-dev (>= 2.4), pkg-config, libdbi0-dev | libdbi-dev, libpcre3-dev, flex, bison, help2man, automake, autoconf, autoconf-archive, xsltproc, docbook-xsl, docbook-xml, libcap-dev [linux-any], libsystemd-daemon-dev [linux-any], hardening-includes
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.3
Homepage: http://www.balabit.com/network-security/syslog-ng/opensource-logging-system

Package: syslog-ng
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, syslog-ng-core (>= ${source:Upstream-Version}),
 syslog-ng-mod-sql,
 syslog-ng-mod-mongodb,
 syslog-ng-mod-json
Description: Next generation system logging daemon (metapackage)
 syslog-ng is an enhanced syslog daemon, supporting, amongst others:
  * Powerful configurability, while still being readable
  * Filtering on any part of the syslog message
  * Support for both legacy BSD and the new syslog protocol
  * Wide range of source and destination drivers, including TCP
    (plain, or over SSL/TLS), UDP, SQL, MongoDB
  * Also supports fine-grained output format control
  * Multi-threaded operation
 .
 The wide range of plugins make syslog-ng able to perform well in
 every situation, ranging from enterprise-class centralised
 deployments, through personal computers to ad-hoc connected networks.
 .
 This package is a metapackage, depending on the rest of syslog-ng,
 including all available plugins. It can be safely removed, if only
 parts of syslog-ng need to be installed.

Package: syslog-ng-dbg
Architecture: any
Multi-Arch: same
Section: debug
Depends: syslog-ng-core (= ${binary:Version}), ${misc:Depends}
Description: Next generation system logging daemon (debug symbols)
 syslog-ng is an enhanced syslog daemon, supporting, amongst others:
  * Powerful configurability, while still being readable
  * Filtering on any part of the syslog message
  * Support for both legacy BSD and the new syslog protocol
  * Wide range of source and destination drivers, including TCP
    (plain, or over SSL/TLS), UDP, SQL, MongoDB
  * Also supports fine-grained output format control
  * Multi-threaded operation
 .
 The wide range of plugins make syslog-ng able to perform well in
 every situation, ranging from enterprise-class centralised
 deployments, through personal computers to ad-hoc connected networks.
 .
 This package contains debug symbols for the whole of syslog-ng,
 including the modules.

Package: libsyslog-ng-3.3.5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Next generation system logging daemon (private library)
 This package contains a semi-private library, used by both syslog-ng
 and its plugins.
 .
 It should not be used by anything else but syslog-ng and its plugins.

Package: libsyslog-ng-dev
Section: libdevel
Architecture: any
Depends: libsyslog-ng-3.3.5 (= ${binary:Version}),
 ${misc:Depends}, ${perl:Depends},
 pkg-config, perl, flex, bison, libevtlog-dev (>= 0.2.12), libglib2.0-dev
Description: Next generation system logging daemon (development files)
 This package contains the headers and tools needed to build
 third-party plugins against syslog-ng, the next generation system
 logging daemon.

Package: syslog-ng-core
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, util-linux (>= 2.12-10)
Recommends: logrotate
Suggests: syslog-ng-mod-sql, syslog-ng-mod-mongodb, syslog-ng-mod-json
Provides: system-log-daemon, linux-kernel-log-daemon
Conflicts: system-log-daemon, linux-kernel-log-daemon
Replaces: syslog-ng (<< 3.3.0~)
Breaks: syslog-ng (<< 3.3.0~)
Description: Next generation system logging daemon (core)
 syslog-ng is an enhanced syslog daemon, supporting, amongst others:
  * Powerful configurability, while still being readable
  * Filtering on any part of the syslog message
  * Support for both legacy BSD and the new syslog protocol
  * Wide range of source and destination drivers, including TCP
    (plain, or over SSL/TLS), UDP, SQL, MongoDB
  * Also supports fine-grained output format control
  * Multi-threaded operation
 .
 The wide range of plugins make syslog-ng able to perform well in
 every situation, ranging from enterprise-class centralised
 deployments, through personal computers to ad-hoc connected networks.
 .
 This package provides the core syslog-ng, with all the plugins
 required for a standard installation.

Package: syslog-ng-mod-json
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Next generation system logging daemon (JSON plugin)
 syslog-ng is an enhanced syslog daemon, supporting, amongst others:
  * Powerful configurability, while still being readable
  * Filtering on any part of the syslog message
  * Support for both legacy BSD and the new syslog protocol
  * Wide range of source and destination drivers, including TCP
    (plain, or over SSL/TLS), UDP, SQL, MongoDB
  * Also supports fine-grained output format control
  * Multi-threaded operation
 .
 The wide range of plugins make syslog-ng able to perform well in
 every situation, ranging from enterprise-class centralised
 deployments, through personal computers to ad-hoc connected networks.
 .
 This package provides the $(format-json) template function plugin,
 which makes it possible to conveniently serialize system log messages
 to JSON.

Package: syslog-ng-mod-mongodb
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: mongodb-server
Description: Next generation system logging daemon (MongoDB plugin)
 syslog-ng is an enhanced syslog daemon, supporting, amongst others:
  * Powerful configurability, while still being readable
  * Filtering on any part of the syslog message
  * Support for both legacy BSD and the new syslog protocol
  * Wide range of source and destination drivers, including TCP
    (plain, or over SSL/TLS), UDP, SQL, MongoDB
  * Also supports fine-grained output format control
  * Multi-threaded operation
 .
 The wide range of plugins make syslog-ng able to perform well in
 every situation, ranging from enterprise-class centralised
 deployments, through personal computers to ad-hoc connected networks.
 .
 This package provides the MongoDB destination plugin, which allows
 one to log system messages to MongoDB.

Package: syslog-ng-mod-sql
Architecture: any
Multi-Arch: foreign
Depends: syslog-ng-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: libdbd-mysql, libdbd-pgsql, libdbd-sqlite3
Description: Next generation system logging daemon (SQL plugin)
 syslog-ng is an enhanced syslog daemon, supporting, amongst others:
  * Powerful configurability, while still being readable
  * Filtering on any part of the syslog message
  * Support for both legacy BSD and the new syslog protocol
  * Wide range of source and destination drivers, including TCP
    (plain, or over SSL/TLS), UDP, SQL, MongoDB
  * Also supports fine-grained output format control
  * Multi-threaded operation
 .
 The wide range of plugins make syslog-ng able to perform well in
 every situation, ranging from enterprise-class centralised
 deployments, through personal computers to ad-hoc connected networks.
 .
 This package provides the SQL destination plugin, which allows one to
 log system messages to a multitude of SQL databases (including, but
 not limited to MySQL, PostgreSQL and SQLite).
