=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg// \
http://www.balabit.hu/downloads/files/syslog-ng/sources/ .*/sources/([\d\.]+)
