## syslog-ng 3.3.6

=== debian/changelog ===
syslog-ng (3.3.6-1ubuntu1) raring; urgency=low

  * Merge with Debian unstable. Remaining Ubuntu changes:
   - debian/control: remove libsystemd-daemon-dev build-depends
   - debian/rules: remove --with-systemdsystemunitdir from
     override_dh_auto_configure.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Sun, 02 Dec 2012 15:13:54 -0500

syslog-ng (3.3.6-1) unstable; urgency=low

  * New upstream release:
    - fixes disconnect on charset decoding error when using UDP sources
      (closes: #674099),
    - use upstream, packaged ivykis.
  * Backport upstream fix of cfg-lexer to fix glob-based include order.

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Add NEWS.Debian, with a note about OpenSSL changing the default dir
    hashing from MD5 to SHA1, and its effect on syslog-ng users.
  * Fix build-indep and multiple builds in a row
  * Explicitly remove systemd unit and service files from /etc upon purge
    (closes: #674020).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 05 Sep 2012 01:57:50 +0200
