=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: debhelper (>= 9), dh-autoreconf, libnet1-dev, libevtlog-dev (>= 0.2.12-5~), libssl-dev, libmongo-client-dev, libjson0-dev, libwrap0-dev, libglib2.0-dev (>= 2.4), pkg-config, libdbi0-dev | libdbi-dev, libpcre3-dev, flex, bison, help2man, automake, autoconf, autoconf-archive, xsltproc, docbook-xsl, docbook-xml, libcap-dev [linux-any], libsystemd-daemon-dev [linux-any], hardening-includes
+Build-Depends: debhelper (>= 9), dh-autoreconf, libivykis-dev (>= 0.30.1), libnet1-dev, libevtlog-dev (>= 0.2.12-5~), libssl-dev, libmongo-client-dev, libjson0-dev, libwrap0-dev, libglib2.0-dev (>= 2.4), pkg-config, libdbi0-dev | libdbi-dev, libpcre3-dev, flex, bison, help2man, automake, autoconf, autoconf-archive, xsltproc, docbook-xsl, docbook-xml, libcap-dev [linux-any], hardening-includes
 Build-Conflicts: autoconf2.13
 Standards-Version: 3.9.3
 Homepage: http://www.balabit.com/network-security/syslog-ng/opensource-logging-system
@@ -54,7 +54,7 @@
  This package contains debug symbols for the whole of syslog-ng,
  including the modules.
 
-Package: libsyslog-ng-3.3.5
+Package: libsyslog-ng-3.3.6
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -69,9 +69,10 @@
 Package: libsyslog-ng-dev
 Section: libdevel
 Architecture: any
-Depends: libsyslog-ng-3.3.5 (= ${binary:Version}),
+Depends: libsyslog-ng-3.3.6 (= ${binary:Version}),
  ${misc:Depends}, ${perl:Depends},
- pkg-config, perl, flex, bison, libevtlog-dev (>= 0.2.12), libglib2.0-dev
+ pkg-config, perl, flex, bison, libevtlog-dev (>= 0.2.12), libglib2.0-dev,
+ libivykis-dev (>= 0.30)
 Description: Next generation system logging daemon (development files)
  This package contains the headers and tools needed to build
  third-party plugins against syslog-ng, the next generation system
