=== debian/rules ===
--- 
+++ 
@@ -26,12 +26,23 @@
 # to it.
 ##
 ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
-EXTRA_CONFIGURE_OPTS += --enable-debug
+	EXTRA_CONFIGURE_OPTS += --enable-debug
 endif
 
+# We want to support building from a git tree, where the syslog-ng
+# sources are in a submodule, in syslog-ng-*. Since we do not wish to
+# update the rules for every major version if it can be helped, figure
+# it out from the changelog instead.
+UMAJOR		   = $(shell dpkg-parsechangelog | sed -n '/^Version:/s/^Version: //p' | cut -d. -f1,2)
+# Furthermore, if the directory does not exist, lets suppose we're not
+# building from a git checkout, but some kind of tarball-thing, where
+# debian/ was laid out on top of the upstream sources. So in this
+# case, use the current directory as the source dir.
+SRCDIR	   	   = $(shell test -d syslog-ng-${UMAJOR} && echo syslog-ng-${UMAJOR} || echo .)
+
 DEFAULT_MODULES = affile,afprog,afsocket,afuser,afsql,basicfuncs,csvparser,dbparser,syslogformat
 
-export DH_OPTIONS += -O-Bdebian/build-tree --dbg-package=syslog-ng-dbg
+export DH_OPTIONS += -O-Bdebian/build-tree --dbg-package=syslog-ng-dbg -O-D${SRCDIR}
 
 include /usr/share/hardening-includes/hardening.make
 
@@ -44,20 +55,22 @@
 #* Overrides for dh_auto*
 ##
 
-# Autoreconf needs two things:
+# Autoreconf needs a few things:
 # - m4 directories for the submodules, because otherwise it can
 #   randomly fail.
 # - We need to call autogen.sh instead of autoreconf.
 override_dh_autoreconf:
-	install -d lib/ivykis/m4 modules/afmongodb/libmongo-client/m4
-	touch lib/ivykis/configure.gnu modules/afmongodb/libmongo-client/configure.gnu
-	test -e debian/autoreconf.after || dh_autoreconf sh ./debian/autogen.sh
+	install -d ${SRCDIR}/lib/ivykis/m4 ${SRCDIR}/modules/afmongodb/libmongo-client/m4
+	dh_autoreconf -- sh -c "cd ${SRCDIR} && ./debian/autogen.sh"
 
 # Oh, the joys of configure!
 # We pass down all appropriate options, along with EXTRA_CONFIGURE_OPTS.
 # This also sets SOURCE_REVISION to the debian package version.
 override_dh_auto_configure:
-	SOURCE_REVISION=$(shell dpkg-parsechangelog | sed -n "/^Version:/s/^Version: /$(shell lsb_release -is)\//p") \
+	SOURCE_REVISION="$(shell dpkg-parsechangelog | \
+			  sed -n "/^Version:/s/^Version: //p" | \
+			  sed -e "s,+g\([0-9a-f]*\).*,[@\1]," | \
+			  sed -e "s,$$, ($(shell lsb_release -is)/$(shell lsb_release -rs)),")"; \
 	dh_auto_configure -- \
 		--prefix=/usr \
 		--mandir=/usr/share/man \
@@ -75,12 +88,11 @@
 		--enable-systemd \
 		\
 		--with-libmongo-client=system \
-		--with-ivykis=internal \
+		--with-ivykis=system \
 		--with-json=json-c \
 		\
 		--with-module-dir='$${exec_prefix}/lib/syslog-ng/$${VERSION}' \
 		--with-default-modules="${DEFAULT_MODULES}" \
-		--with-systemdsystemunitdir="/lib/systemd/system" \
 		\
 		SOURCE_REVISION="$${SOURCE_REVISION}" \
 		${EXTRA_CONFIGURE_OPTS}
@@ -118,62 +130,39 @@
 		  -name 'ylwrap' -or \
 		  -regex '.*/config\.\(sub\|guess\|h\.in\)' \) \
 	     -exec rm '{}' \;
-	rm -f $(CURDIR)/m4/lt*.m4 $(CURDIR)/m4/libtool.m4 $(CURDIR)/m4/pkg.m4
-	rm -rf $(CURDIR)/lib/ivykis/m4 $(CURDIR)/modules/afmongodb/libmongo-client/m4
+	rm -f ${SRCDIR}/m4/lt*.m4 ${SRCDIR}/m4/libtool.m4 ${SRCDIR}/m4/pkg.m4
+	rm -rf ${SRCDIR}/lib/ivykis/m4 ${SRCDIR}/modules/afmongodb/libmongo-client/m4
 	rm -rf debian/build-tree/
 
-# We also want to install ivykis headers and whatnot, so override
-# _auto_install, and do it too.
-#
-# This also installs the systemd files on Linux platforms.
-override_dh_auto_install:
-	dh_auto_install
-	${MAKE} -C debian/build-tree/lib/ivykis install DESTDIR=$(CURDIR)/debian/tmp
-	install -m 0644 contrib/systemd/syslog-ng.service \
-		debian/syslog-ng-core/lib/systemd/system/
-
 ##
 #* Overrides for other debhelper commands
 #
 # Below are overrides for individual debhelper commands.
 ##
-
-# On kFreeBSD, d_console_all should log to /dev/ttyva, everywhere
-# else, to tty10. To keep the config as simple as possible, this is
-# accomplished by pulling the target device out of syslog-ng.conf,
-# into `scl-root`/system/tty10.conf.
-#
-# On kFreeBSD, this defines the `tty10` variable to /dev/ttyva,
-# everywhere else to /dev/tty10.
-#
-# It will be installed into the syslog-ng-core package by the
-# override_dh_install target.
-ifeq (${DEB_HOST_ARCH_OS},kfreebsd)
-TTY10_CONF = tty10.kfreebsd.conf
-else
-TTY10_CONF = tty10.linux.conf
-endif
 
 # Upstream installs the merge-grammar.pl as data, thus not
 # executable. Yet, it needs to be, since the Makefiles that upstream
 # also installs expect it so.
 #
+# So we simply flip a few bits after dh_install, and we're good to go!
+#
 # We also want to install the systemd unit file into syslog-ng-core,
-# so do that here too, along with installing tty10.conf.
+# so do that here too.
 override_dh_install:
 	dh_install
 ifneq (,$(filter libsyslog-ng-dev,$(shell dh_listpackages)))
 	chmod +x debian/libsyslog-ng-dev/usr/share/syslog-ng/tools/merge-grammar.pl
 endif
-
-	install -m 0644 debian/${TTY10_CONF} \
-		$(CURDIR)/debian/syslog-ng-core/usr/share/syslog-ng/include/scl/system/tty10.conf
+ifneq (,$(filter syslog-ng-core,$(shell dh_listpackages)))
+	install -m 0644 ${SRCDIR}/contrib/systemd/syslog-ng.service \
+			debian/syslog-ng-core/lib/systemd/system/
+endif
 
 # Install the NEWS file as upstream changelog.
 # Rationale: the ChangeLog file is an old artifact from the Arch
 # times. It is not updated, and is obsolete.
 override_dh_installchangelogs:
-	dh_installchangelogs $(CURDIR)/NEWS
+	dh_installchangelogs ${SRCDIR}/NEWS
 
 # Init files and whatnot were moved to syslog-ng-core, but we want to
 # retain the old filenames. Furthermore, the init script is now
@@ -213,6 +202,25 @@
 build-stamp:
 .PHONY: build-stamp
 
+# By default, the arch:all syslog-ng package does not need anything
+# built, so build-indep shall be empty. This avoids triggering another
+# build attempt, which would fail due to autoreconf being run
+# twice. It would also fail if no build-deps were installed (since the
+# package has no build-dep-indeps, rightly so).
+build-indep: ;
+
+# We get the original source by calling an external tool, that will do
+# the heavy lifting for us.
+get-orig-source:
+	debian/tools/get-orig-source.sh
+
+# Provide a short interface to export-source.sh
+export-source:
+	debian/tools/export-source.sh
+
+binary binary-arch binary-indep build build-arch build-indep clean \
+install install-arch install-indep: debian/control
+
 # And for the rest, there is debhelper!
 %:
 	dh $@ --with autoreconf
