## syslog-ng 3.3.9

=== debian/changelog ===
syslog-ng (3.3.9-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. (LP: #1205125) Remaining changes:
   - debian/control: remove libsystemd-daemon-dev build-depends
   - debian/rules: remove --with-systemdsystemunitdir from
     override_dh_auto_configure.

 -- Artur Rona <ari-tczew@tlen.pl>  Fri, 26 Jul 2013 00:09:53 +0200

syslog-ng (3.3.9-1) unstable; urgency=low

  * New upstream release.
  * Include missed ivykis header (closes: #708793).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 26 May 2013 09:06:21 +0200

syslog-ng (3.3.6-2) unstable; urgency=low

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Use /dev/ttyva on kFreeBSD as the target of the d_console_all
    destination (closes: #697042).
  * Use the standard /var/log/mail.{info,err,warn} location for the
    various mail-related logs (closes: #692056).
  * Don't mark systemd symlinks in /etc as conffiles.
  * Instead of installing systemd service file symlinks, install a
    conffile, that includes the real service file (closes: #690067).
  * Do not forcibly remove the systemd service files, that code is not
    needed anymore.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 02 Mar 2013 16:03:18 +0100
