## syslog-ng 3.4.2

=== debian/changelog ===
syslog-ng (3.4.2) syslogng34; urgency=low

  * New upstream version.

 -- BalaBit Development Team <devel@balabit.hu>  Mon, 03 Jun 2013 15:47:51 +0200

Local variables:
mode: debian-changelog
End:
