## syslog-ng 3.4.7

=== debian/changelog ===
syslog-ng (3.4.7) syslogng34; urgency=low

  * New upstream version.

 -- BalaBit Development Team <devel@balabit.hu>  Tue, 24 Dec 2013 21:14:24 +0100

Local variables:
mode: debian-changelog
End:
