## syslog-ng 3.4.8

=== debian/changelog ===
syslog-ng (3.4.8) syslogng34; urgency=low

  * New upstream version.

 -- BalaBit Development Team <devel@balabit.hu>  Fri, 06 Jun 2014 13:19:55 +0200

Local variables:
mode: debian-changelog
End:
